Skip to main content

Create a Payment Request (v2.2)

Overview

Initiates an advanced payment withdrawal request with idempotency protection (paymentId), custom reference tracking, and support for high-throughput batch payouts.

HTTP Request

POST /banking/ibans/v2/profile/v2.2/request

Authentication

This endpoint requires an active Bearer JWT token in the Authorization header obtained via POST /banking/ibans/v2/users/login:

Authorization: Bearer <your_access_token>

Request Body Fields

FieldTypeDescription
beneficiaryIdintSample value: 278
purposeIdintSample value: 12
amountintSample value: 100
walletIdintSample value: 1
clientReferencestrSample value: Testing
paymentIdstrSample value: a7600e0e-a973-4d26-b15c-89de5836e900

Code Examples

curl -X POST "https://api.ahrvo.network/banking/ibans/v2/profile/v2.2/request" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <your_access_token>" \
-d '{
"beneficiaryId": 278,
"purposeId": 12,
"amount": 100,
"walletId": 1,
"clientReference": "Testing",
"paymentId": "a7600e0e-a973-4d26-b15c-89de5836e900"
}'

Response (201)

{
"success": true,
"payment": {
"id": 447,
"userId": 4,
"reference": "TO-26072022-002",
"paymentId": "a7600e0e-a973-4d26-b15c-89de5836e900",
"clientReference": "Testing",
"account": {
"id": 278,
"accountNumber": "8311547163",
"bankName": "Community Federal Savings Bank",
"beneficiaryAddress": "89-16 JAMAICA AVENUE",
"beneficiaryCity": "QUEENS",
"beneficiaryCompanyName": "OLSEN INDUSTRIA E COMERCIO SA",
"beneficiaryCountryCode": "US",
"beneficiaryEntityType": "company",
"country": "USA",
"reference": "RP-09062022-004",
"beneficiaryFirstName": "",
"beneficiaryLastName": "",
"nationalId": "CMFGUS33",
"currency": "USD",
"clientReference": null,
"status": "approved"
},
"currency": "USD"
}
}

Interactive API Explorer

Test this endpoint live against the Ahrvo gateway and Verto sandbox environments: